ATA_STD_QC_DEFER(9)

NAME
ata_std_qc_defer - Check whether a qc needs to be deferred

SYNOPSIS

int ata_std_qc_defer(struct ata_queued_cmd * qc);

ARGUMENTS

qc
    ATA command in question

DESCRIPTION

Non-NCQ commands cannot run with any other command, NCQ or not. As upper layer only knows the queue depth, we are responsible for maintaining exclusion. This function checks whether a new command qc can be issued.

LOCKING

spin_lock_irqsave(host lock)

RETURNS

ATA_DEFER_* if deferring is needed, 0 otherwise.

AUTHOR

Jeff Garzik
    Author.

COPYRIGHT